# Class WsIOException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.tomcat.websocket.WsIOException

All Implemented Interfaces:
  `Serializable`

public class WsIOException extends IOException
Allows the WebSocket implementation to throw an `IOException` that includes a `CloseReason` specific to the error that can be passed back to the client.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WsIOException(CloseReason closeReason)`
  Creates a WebSocket I/O exception with the given close reason.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CloseReason`
  `getCloseReason()`
  Returns the WebSocket close reason for this exception.

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WsIOException

    public WsIOException(CloseReason closeReason)
    Creates a WebSocket I/O exception with the given close reason.
    Parameters:
      `closeReason` - the WebSocket close reason

- ## Method Details

  - ### getCloseReason

    public CloseReason getCloseReason()
    Returns the WebSocket close reason for this exception.
    Returns:
      the close reason